### Signal

# Gtk IconView::select-all

#### Declaration

    void
    select_all (
      GtkIconView self,
      gpointer user_data
    )

#### Description [src]

A [keybinding signal][GtkSignalAction] which gets emitted when the user selects all items.

Applications should not connect to it, but may emit it with g_signal_emit_by_name() if they need to control selection programmatically.

The default binding for this signal is Ctrl-a.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly